Topics

Get a topic

get

Get a topic based on the uuid.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
topicUuidstringRequired
Responses
chevron-right
default

Topic Get Body

application/json
uuidstringOptional
titlestringOptional
slugstringOptional
avatarstringOptional
has_custom_avatarstringOptional
tokenstringOptional
get
/topics/{topicUuid}
default

Topic Get Body

Update a topic

put

Update an existing topic

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
topicUuidstringRequired
Body
titlestringOptional
Responses
chevron-right
default

Error Response Body

application/json
messagestringOptional
codeintegerOptional
put
/topics/{topicUuid}
default

Error Response Body

Create a Topic

post

Create a Topic and assigns it to the user immediately

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
titlestringOptional
Responses
chevron-right
default

Error Response Body

application/json
messagestringOptional
codeintegerOptional
post
/topics
default

Error Response Body